#include "ccc.h"
#include <stdlib.h>
#include <stdio.h>

void* ccc_alloc(integral_t sz) {
    void* ptr = calloc(1, sz);
    if (ptr == NULL) {
        fprintf(stderr, "ccc: out of memory\n");
        exit(1);
    }
    return ptr;
}
